USE [master]
GO
ALTER DATABASE [Concurrency2] SET  SINGLE_USER WITH ROLLBACK IMMEDIATE;
GO
ALTER DATABASE [Concurrency2] SET  ENABLE_BROKER WITH NO_WAIT
GO
ALTER DATABASE [Concurrency2] SET  MULTI_USER WITH ROLLBACK IMMEDIATE;
GO
USE Concurrency2
GO
CREATE MASTER KEY ENCRYPTION BY PASSWORD = 'Password1';
GO
CREATE MESSAGE TYPE MyMessage
GO
CREATE MESSAGE TYPE EndOfStream
GO
CREATE CONTRACT [DemoContract]
(
MyMessage
SENT BY ANY 
,EndOfStream
SENT BY ANY 
);

--Create Queue for the Initiator
CREATE QUEUE InitiatorQueue; 
--Create Queue for the Target
CREATE QUEUE TargetQueue; 


--Create Service for the Initiator.
CREATE SERVICE [InitiatorService]
ON QUEUE InitiatorQueue; 
--Create Service for the Target.
CREATE SERVICE [TargetService] 
ON QUEUE TargetQueue
([DemoContract]); 


-- http://blogs.msdn.com/b/steven_bates/archive/2006/01/05/simple-service-broker-message-queue.aspx